%{
#include <stdio.h>
void yyerror(char *);
int yylex(void);
%}

%token INTEGER
%token PLUS
%token MINUS
%token MULTIPLY
%token DIVIDE
%token LPAREN
%token RPAREN
%token NEWLINE

%left PLUS MINUS 
%left MULTIPLY DIVIDE

%%

program:
    program expr NEWLINE { 
        printf("%d\n", $2);
	}
	|
	;
				
expr:
    INTEGER { 
        $$ = $1;     
    }
    | expr PLUS expr { 
        $$ = $1 + $3;
    }
    | expr MINUS expr { 
        $$ = $1 - $3; 
    }
    | expr MULTIPLY expr	{ 
        $$ = $1 * $3;
    }
    | expr DIVIDE expr { 
        $$ = $1 / $3; 
    }
    | LPAREN expr RPAREN { 
        $$ = $2;     
    } 				
    ;

%%

void yyerror(char *s) {
    fprintf(stderr, "%s\n", s);
}

int main(void) {
    yyparse();
}
